
QGIS Application - Bug report #5409

Spatialite support broken since commit:4d6cc6d 

2012-04-18 12:54 PM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Win Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15074

Description

Trying to load a spatialite layer, Qgis reports:

dbname='C:/pojekte/testsqlite/testqgisspatialite.sqlite' table="testbeitragsflaechen" (Geometry) sql= ist ein ungültiger Layer - nicht

geladen

Related issues:

Related to QGIS Application - Bug report # 5407: MSSQL Server -  tables are i... Closed 2012-04-18

Related to QGIS Application - Bug report # 5410: Copy constructor of QgsDataS... Closed 2012-04-18

Associated revisions

Revision e5d97f53 - 2012-04-19 12:25 AM - Jürgen Fischer

Revert d7e8ae18 and d637c677c (fixes #5407, #5409 and #5410)

History

#1 - 2012-04-18 01:03 PM - Tim Sutton

Could you supply a small example of a spatialite lite layer that fails in this way - preferably one with data that we can redistribute so that it can be used as a

unit test.

Thanks

Tim

#2 - 2012-04-18 01:11 PM - Jürgen Fischer

- Subject changed from Spatiallite Layer is not supported in qgis master since QGIS-Codeversion 4d6cc6d  to Spatialite support broken since 

commit:4d6cc6d 

#3 - 2012-04-18 01:54 PM - Gerhard Spieles

- File dbqgiscreated.sqlite added

- File 20120418_qgis_master_ver_4d6cc6d_spatialite_broken.jpg added

- File 20120418_qgis_master_ver_191a229_spatialite_ok.jpg added

Hello,

attached screenshots of QGIS and teh related sqlite db.
QGIS-dev is installed from OSGeo4W

#4 - 2012-04-18 03:36 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e5d97f53e29c90b5b8d695c604e2540f2f499070".

Files

20120418_qgis_master_ver_191a229_spatialite_ok.jpg 227 KB 2012-04-18 Gerhard Spieles

20120418_qgis_master_ver_4d6cc6d_spatialite_broken.jpg 182 KB 2012-04-18 Gerhard Spieles

dbqgiscreated.sqlite 3.54 MB 2012-04-18 Gerhard Spieles
